include(FetchContent)

FetchContent_Declare(
  googletest
  GIT_REPOSITORY https://github.com/google/googletest.git
  GIT_TAG        release-1.11.0
)
FetchContent_MakeAvailable(googletest)
add_library(GTest::GTest INTERFACE IMPORTED)
target_link_libraries(GTest::GTest INTERFACE gtest_main)
target_link_libraries(GTest::GTest INTERFACE gmock_main)

add_executable(SHM_Tests ShipUnitTests.cpp StoreUnitTests.cpp)

target_link_libraries(SHM_Tests
  PRIVATE
  GTest::GTest
  Ship
  Store)

add_test(shm_gtests SHM_Tests)